<?xml version="1.0" encoding="UTF-8"?>
<!-- Created with Jaspersoft Studio version 6.18.1.final using JasperReports Library version 6.0.0  -->
<jasperReport xmlns="http://jasperreports.sourceforge.net/jasperreports" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://jasperreports.sourceforge.net/jasperreports http://jasperreports.sourceforge.net/xsd/jasperreport.xsd" name="NotaCredito_A4" pageWidth="650" pageHeight="510" columnWidth="610" leftMargin="20" rightMargin="20" topMargin="20" bottomMargin="20" isIgnorePagination="true" uuid="111aecf5-2a2f-4162-b096-9a1d605e4aca">
	<property name="com.jaspersoft.studio.data.sql.tables" value=""/>
	<property name="com.jaspersoft.studio.data.sql.SQLQueryDesigner.sash.w1" value="467"/>
	<property name="com.jaspersoft.studio.data.sql.SQLQueryDesigner.sash.w2" value="521"/>
	<property name="com.jaspersoft.studio.data.defaultdataadapter" value="HOTEL_JAVA"/>
	<property name="ireport.zoom" value="1.0"/>
	<property name="ireport.x" value="0"/>
	<property name="ireport.y" value="0"/>
	<property name="com.jaspersoft.studio.unit." value="pixel"/>
	<property name="com.jaspersoft.studio.unit.pageHeight" value="pixel"/>
	<property name="com.jaspersoft.studio.unit.pageWidth" value="pixel"/>
	<property name="com.jaspersoft.studio.unit.topMargin" value="pixel"/>
	<property name="com.jaspersoft.studio.unit.bottomMargin" value="pixel"/>
	<property name="com.jaspersoft.studio.unit.leftMargin" value="pixel"/>
	<property name="com.jaspersoft.studio.unit.rightMargin" value="pixel"/>
	<property name="com.jaspersoft.studio.unit.columnWidth" value="pixel"/>
	<property name="com.jaspersoft.studio.unit.columnSpacing" value="pixel"/>
	<parameter name="cliente" class="java.lang.String"/>
	<parameter name="nro_documento" class="java.lang.String"/>
	<parameter name="tipo_moneda" class="java.lang.String"/>
	<parameter name="motivo" class="java.lang.String"/>
	<parameter name="nombre_empresa" class="java.lang.String"/>
	<parameter name="direccion_empresa" class="java.lang.String"/>
	<parameter name="ciudad_empresa" class="java.lang.String"/>
	<parameter name="pais_empresa" class="java.lang.String"/>
	<parameter name="codigo_credito" class="java.lang.String"/>
	<parameter name="fecha_emision" class="java.lang.String"/>
	<parameter name="ruc_empresa" class="java.lang.String"/>
	<parameter name="pid_cabecera" class="java.lang.Long"/>
	<parameter name="sub_total" class="java.lang.String"/>
	<parameter name="descuentos" class="java.lang.String"/>
	<parameter name="valor_venta" class="java.lang.String"/>
	<parameter name="isc" class="java.lang.String"/>
	<parameter name="igv" class="java.lang.String"/>
	<parameter name="importe_total" class="java.lang.String"/>
	<parameter name="comprobante_emitido" class="java.lang.String"/>
	<parameter name="operacion" class="java.lang.String"/>
	<parameter name="codigo_tabla" class="java.lang.String"/>
	<parameter name="imagen_qr" class="java.lang.String"/>
	<parameter name="interesesMora" class="java.lang.String"/>
	<parameter name="aumentoValor" class="java.lang.String"/>
	<parameter name="opAumValor" class="java.lang.Integer"/>
	<parameter name="monto_letras" class="java.lang.String"/>
	<parameter name="logoEmpresa" class="java.lang.String"/>
	<parameter name="rutaLogo" class="java.lang.String"/>
	<queryString language="SQL">
		<![CDATA[SELECT 
	dc.cod_producto, 
	p.nombre_producto,
	dc.cantidad, 
	dc.valor_unitario, 
	p.cod_unidadmedida, 
	cli.cod_cliente, 
	cli.cod_tipodocumento, 
	cli.nro_documento, CONCAT(cli.nombre," ",cli.apellido_paterno," ",cli.apellido_materno) AS razon_social, 
	CONCAT(c.fecha_emision," ",c.hora_emision) AS fecha_emision, 
	c.serie, 
	c.numero, 
	dc.total_importe_item, 
	dc.porcentaje_afectacion 
FROM detalle_facbo AS dc
	LEFT JOIN producto AS p ON p.cod_producto = dc.cod_producto
	LEFT JOIN cabec_facbo AS c ON c.id_cabecera = dc.id_cabecera
    LEFT JOIN cliente AS cli ON c.cod_cliente = cli.cod_cliente
WHERE c.id_cabecera = $P{pid_cabecera} OR dc.cod_producto = $P{codigo_tabla} 
GROUP BY dc.cod_producto]]>
	</queryString>
	<field name="cod_producto" class="java.lang.String">
		<property name="com.jaspersoft.studio.field.name" value="cod_producto"/>
		<property name="com.jaspersoft.studio.field.label" value="cod_producto"/>
		<property name="com.jaspersoft.studio.field.tree.path" value="detalle_facbo"/>
	</field>
	<field name="nombre_producto" class="java.lang.String">
		<property name="com.jaspersoft.studio.field.name" value="nombre_producto"/>
		<property name="com.jaspersoft.studio.field.label" value="nombre_producto"/>
		<property name="com.jaspersoft.studio.field.tree.path" value="producto"/>
	</field>
	<field name="cantidad" class="java.lang.Integer">
		<property name="com.jaspersoft.studio.field.name" value="cantidad"/>
		<property name="com.jaspersoft.studio.field.label" value="cantidad"/>
		<property name="com.jaspersoft.studio.field.tree.path" value="detalle_facbo"/>
	</field>
	<field name="valor_unitario" class="java.math.BigDecimal">
		<property name="com.jaspersoft.studio.field.name" value="valor_unitario"/>
		<property name="com.jaspersoft.studio.field.label" value="valor_unitario"/>
		<property name="com.jaspersoft.studio.field.tree.path" value="detalle_facbo"/>
	</field>
	<field name="cod_unidadmedida" class="java.lang.String">
		<property name="com.jaspersoft.studio.field.name" value="cod_unidadmedida"/>
		<property name="com.jaspersoft.studio.field.label" value="cod_unidadmedida"/>
		<property name="com.jaspersoft.studio.field.tree.path" value="producto"/>
	</field>
	<field name="cod_cliente" class="java.lang.String">
		<property name="com.jaspersoft.studio.field.name" value="cod_cliente"/>
		<property name="com.jaspersoft.studio.field.label" value="cod_cliente"/>
		<property name="com.jaspersoft.studio.field.tree.path" value="cliente"/>
	</field>
	<field name="cod_tipodocumento" class="java.lang.String">
		<property name="com.jaspersoft.studio.field.name" value="cod_tipodocumento"/>
		<property name="com.jaspersoft.studio.field.label" value="cod_tipodocumento"/>
		<property name="com.jaspersoft.studio.field.tree.path" value="cliente"/>
	</field>
	<field name="nro_documento" class="java.lang.String">
		<property name="com.jaspersoft.studio.field.name" value="nro_documento"/>
		<property name="com.jaspersoft.studio.field.label" value="nro_documento"/>
		<property name="com.jaspersoft.studio.field.tree.path" value="cliente"/>
	</field>
	<field name="razon_social" class="java.lang.String">
		<property name="com.jaspersoft.studio.field.name" value="razon_social"/>
		<property name="com.jaspersoft.studio.field.label" value="razon_social"/>
	</field>
	<field name="fecha_emision" class="java.lang.String">
		<property name="com.jaspersoft.studio.field.name" value="fecha_emision"/>
		<property name="com.jaspersoft.studio.field.label" value="fecha_emision"/>
	</field>
	<field name="serie" class="java.lang.String">
		<property name="com.jaspersoft.studio.field.name" value="serie"/>
		<property name="com.jaspersoft.studio.field.label" value="serie"/>
		<property name="com.jaspersoft.studio.field.tree.path" value="cabec_facbo"/>
	</field>
	<field name="numero" class="java.lang.String">
		<property name="com.jaspersoft.studio.field.name" value="numero"/>
		<property name="com.jaspersoft.studio.field.label" value="numero"/>
		<property name="com.jaspersoft.studio.field.tree.path" value="cabec_facbo"/>
	</field>
	<field name="total_importe_item" class="java.math.BigDecimal">
		<property name="com.jaspersoft.studio.field.name" value="total_importe_item"/>
		<property name="com.jaspersoft.studio.field.label" value="total_importe_item"/>
		<property name="com.jaspersoft.studio.field.tree.path" value="detalle_facbo"/>
	</field>
	<field name="porcentaje_afectacion" class="java.math.BigDecimal">
		<property name="com.jaspersoft.studio.field.name" value="porcentaje_afectacion"/>
		<property name="com.jaspersoft.studio.field.label" value="porcentaje_afectacion"/>
		<property name="com.jaspersoft.studio.field.tree.path" value="detalle_facbo"/>
	</field>
	<background>
		<band splitType="Stretch"/>
	</background>
	<title>
		<band height="90" splitType="Stretch">
			<rectangle>
				<reportElement x="385" y="0" width="225" height="60" uuid="d31f5bad-5fe2-49c5-9f98-4a92f2581bb1">
					<property name="com.jaspersoft.studio.unit.width" value="px"/>
				</reportElement>
			</rectangle>
			<staticText>
				<reportElement x="397" y="2" width="202" height="20" uuid="f742dcc7-00a4-4c19-bbec-da2c7f96221e">
					<property name="com.jaspersoft.studio.unit.y" value="px"/>
				</reportElement>
				<textElement verticalAlignment="Middle">
					<font fontName="Arial" size="12" isBold="true"/>
				</textElement>
				<text><![CDATA[NOTA DE CREDITO ELECTRONICA]]></text>
			</staticText>
			<staticText>
				<reportElement x="432" y="19" width="36" height="20" uuid="01db371a-6baf-4f64-9507-9363ceea5c9f"/>
				<textElement verticalAlignment="Middle">
					<font fontName="Arial" size="12" isBold="true"/>
				</textElement>
				<text><![CDATA[RUC:]]></text>
			</staticText>
			<textField>
				<reportElement x="467" y="19" width="118" height="20" uuid="6353783f-725a-4983-876f-b0c0b104445e"/>
				<textElement verticalAlignment="Middle">
					<font fontName="Arial" size="12" isBold="true"/>
				</textElement>
				<textFieldExpression><![CDATA[$P{ruc_empresa}]]></textFieldExpression>
			</textField>
			<textField>
				<reportElement x="440" y="41" width="142" height="15" uuid="e4d52102-651d-46de-9dc5-dc55eca459ad"/>
				<textElement verticalAlignment="Middle">
					<font fontName="Arial" size="12" isBold="true"/>
				</textElement>
				<textFieldExpression><![CDATA[$P{codigo_credito}]]></textFieldExpression>
			</textField>
			<textField isStretchWithOverflow="true">
				<reportElement x="127" y="48" width="253" height="18" uuid="362e36ac-b44c-4625-9e9e-f7abd2a2d43e"/>
				<textElement>
					<font fontName="Arial" size="12"/>
				</textElement>
				<textFieldExpression><![CDATA[$P{pais_empresa}]]></textFieldExpression>
			</textField>
			<textField isStretchWithOverflow="true">
				<reportElement x="127" y="19" width="253" height="15" uuid="0de8a1d6-666c-47d8-883e-61bbb95b7822"/>
				<textElement>
					<font fontName="Arial" size="12"/>
				</textElement>
				<textFieldExpression><![CDATA[$P{direccion_empresa}]]></textFieldExpression>
			</textField>
			<textField isStretchWithOverflow="true">
				<reportElement x="127" y="0" width="253" height="19" uuid="70643291-7b91-4b3f-aa2f-5e47a76c6470"/>
				<textElement verticalAlignment="Middle">
					<font fontName="Arial" size="12" isBold="true"/>
				</textElement>
				<textFieldExpression><![CDATA[$P{nombre_empresa}]]></textFieldExpression>
			</textField>
			<textField isStretchWithOverflow="true">
				<reportElement x="127" y="33" width="253" height="18" uuid="02ecddb6-099a-48c4-b267-35056c80d060"/>
				<textElement>
					<font fontName="Arial" size="12"/>
				</textElement>
				<textFieldExpression><![CDATA[$P{ciudad_empresa}]]></textFieldExpression>
			</textField>
			<staticText>
				<reportElement x="0" y="70" width="100" height="18" uuid="e6bf5bef-b65d-4e07-bb9f-359004d1ad6b"/>
				<textElement verticalAlignment="Middle">
					<font fontName="Arial" size="12"/>
				</textElement>
				<text><![CDATA[Fecha de emisión:]]></text>
			</staticText>
			<textField>
				<reportElement x="105" y="70" width="114" height="18" uuid="7fbfb5fa-6b8a-4822-8876-b368d5956da6"/>
				<textElement verticalAlignment="Middle">
					<font fontName="Arial" size="12" isBold="true"/>
				</textElement>
				<textFieldExpression><![CDATA[$P{fecha_emision}]]></textFieldExpression>
			</textField>
			<image>
				<reportElement x="0" y="0" width="120" height="65" uuid="55f78de7-b3f7-4c20-a333-cb865abd0e93"/>
				<imageExpression><![CDATA[$P{rutaLogo}]]></imageExpression>
			</image>
		</band>
	</title>
	<pageHeader>
		<band height="163" splitType="Stretch">
			<property name="com.jaspersoft.studio.unit.height" value="px"/>
			<line>
				<reportElement positionType="Float" x="0" y="24" width="610" height="1" uuid="a20c46e8-ef81-4fb6-94df-9aa8cbe636b1">
					<property name="com.jaspersoft.studio.unit.width" value="px"/>
				</reportElement>
			</line>
			<staticText>
				<reportElement x="0" y="2" width="330" height="22" uuid="03e5dac8-5683-4140-a3f1-4fabc3d54f8b"/>
				<textElement verticalAlignment="Middle">
					<font fontName="Arial" size="19" isBold="true"/>
				</textElement>
				<text><![CDATA[Documento que modifica:]]></text>
			</staticText>
			<staticText>
				<reportElement x="0" y="49" width="110" height="19" uuid="ee1ec93b-cebb-45d7-87d9-b01473cb76e3"/>
				<textElement verticalAlignment="Middle">
					<font fontName="Arial" size="12"/>
				</textElement>
				<text><![CDATA[Señor(es)]]></text>
			</staticText>
			<staticText>
				<reportElement x="0" y="68" width="110" height="22" uuid="3dca894c-23a5-4a24-8f55-95424155d587"/>
				<textElement verticalAlignment="Middle">
					<font fontName="Arial" size="12"/>
				</textElement>
				<text><![CDATA[Nro. Documento]]></text>
			</staticText>
			<staticText>
				<reportElement x="110" y="49" width="6" height="19" uuid="24c62130-3ceb-4e5d-a8ad-8974ff01852a"/>
				<textElement verticalAlignment="Middle">
					<font fontName="Arial" size="12"/>
				</textElement>
				<text><![CDATA[:]]></text>
			</staticText>
			<staticText>
				<reportElement x="110" y="68" width="6" height="22" uuid="791cf3d9-240c-40b8-8af2-648d98ace1af"/>
				<textElement verticalAlignment="Middle">
					<font fontName="Arial" size="12"/>
				</textElement>
				<text><![CDATA[:]]></text>
			</staticText>
			<textField>
				<reportElement x="120" y="70" width="260" height="20" uuid="38738b19-6c69-4bc4-8691-6ecf5b462c5c"/>
				<textElement verticalAlignment="Middle">
					<font fontName="Arial" size="12" isBold="true"/>
				</textElement>
				<textFieldExpression><![CDATA[$P{nro_documento}]]></textFieldExpression>
			</textField>
			<textField>
				<reportElement x="120" y="50" width="360" height="20" uuid="9d3184d8-ef00-4339-b07c-84cca32fe439"/>
				<textElement verticalAlignment="Middle">
					<font fontName="Arial" size="12" isBold="true"/>
				</textElement>
				<textFieldExpression><![CDATA[$P{cliente}]]></textFieldExpression>
			</textField>
			<staticText>
				<reportElement x="0" y="90" width="110" height="22" uuid="08a9b646-a171-4b86-951d-7b9423386310"/>
				<textElement verticalAlignment="Middle">
					<font fontName="Arial" size="12"/>
				</textElement>
				<text><![CDATA[Tipo de Moneda]]></text>
			</staticText>
			<staticText>
				<reportElement x="110" y="90" width="6" height="22" uuid="740a79b0-3401-4149-a22a-86faf91e68df"/>
				<textElement verticalAlignment="Middle">
					<font fontName="Arial" size="12"/>
				</textElement>
				<text><![CDATA[:]]></text>
			</staticText>
			<textField>
				<reportElement x="120" y="91" width="260" height="22" uuid="80486dd8-97ae-436b-a31c-0f57afd03fe2"/>
				<textElement verticalAlignment="Middle">
					<font fontName="Arial" size="12" isBold="true"/>
				</textElement>
				<textFieldExpression><![CDATA[$P{tipo_moneda}]]></textFieldExpression>
			</textField>
			<staticText>
				<reportElement x="0" y="30" width="110" height="19" uuid="df8602af-6ac6-4b72-8836-f4ad2f7b1892"/>
				<textElement verticalAlignment="Middle">
					<font size="12"/>
				</textElement>
				<text><![CDATA[Comprobante:]]></text>
			</staticText>
			<staticText>
				<reportElement x="110" y="30" width="6" height="19" uuid="344e52c9-ad47-41c1-92ab-54f8b6f9b8b0"/>
				<textElement verticalAlignment="Middle">
					<font fontName="Arial" size="12"/>
				</textElement>
				<text><![CDATA[:]]></text>
			</staticText>
			<textField>
				<reportElement x="120" y="30" width="260" height="20" uuid="5ef851db-67e1-497f-ad68-b8aa2ecfe320"/>
				<textElement verticalAlignment="Middle">
					<font fontName="Arial" size="12" isBold="true"/>
				</textElement>
				<textFieldExpression><![CDATA[$P{comprobante_emitido}]]></textFieldExpression>
			</textField>
			<staticText>
				<reportElement x="110" y="112" width="6" height="22" uuid="f614139e-2f32-4e2c-b8ad-26587ccdb5ff"/>
				<textElement verticalAlignment="Middle">
					<font fontName="Arial" size="12"/>
				</textElement>
				<text><![CDATA[:]]></text>
			</staticText>
			<staticText>
				<reportElement x="0" y="112" width="110" height="22" uuid="1ff3dce2-7a0a-423a-9a4c-352183e8ce6c"/>
				<textElement verticalAlignment="Middle">
					<font fontName="Arial" size="12"/>
				</textElement>
				<text><![CDATA[Motivo o Sustento]]></text>
			</staticText>
			<textField isStretchWithOverflow="true">
				<reportElement x="120" y="113" width="260" height="22" uuid="a491c0e0-06fe-4c02-ba0c-ee1d6d2193a3"/>
				<textElement verticalAlignment="Middle">
					<font fontName="Arial" size="12" isBold="true"/>
				</textElement>
				<textFieldExpression><![CDATA[$P{motivo}]]></textFieldExpression>
			</textField>
			<textField>
				<reportElement x="376" y="135" width="234" height="26" forecolor="#FF1C1C" uuid="d3254dd6-b637-4056-af83-e2402cf63901"/>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font fontName="Arial" size="14" isBold="true"/>
				</textElement>
				<textFieldExpression><![CDATA[$P{operacion}]]></textFieldExpression>
			</textField>
		</band>
	</pageHeader>
	<columnHeader>
		<band height="30" splitType="Stretch">
			<staticText>
				<reportElement mode="Opaque" x="0" y="0" width="100" height="30" backcolor="#E0E0E0" uuid="95e68aa0-7f16-40ce-8a9b-497c9ab084be">
					<property name="com.jaspersoft.studio.spreadsheet.connectionID" value="52476d4d-add8-4c14-aead-317fd7807e8a"/>
				</reportElement>
				<box topPadding="0" leftPadding="0" bottomPadding="0" rightPadding="0">
					<pen lineWidth="1.5"/>
					<topPen lineWidth="1.0" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="1.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="1.0" lineStyle="Solid" lineColor="#000000"/>
					<rightPen lineWidth="1.0" lineStyle="Solid" lineColor="#000000"/>
				</box>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font fontName="Arial Black"/>
				</textElement>
				<text><![CDATA[CODIGO]]></text>
			</staticText>
			<staticText>
				<reportElement mode="Opaque" x="100" y="0" width="245" height="30" backcolor="#E0E0E0" uuid="1e7e44e0-832b-48e6-aaa0-3f6c92f0e2f5">
					<property name="com.jaspersoft.studio.spreadsheet.connectionID" value="c6a5b9ea-f5b0-4e7a-8f6b-0d5fd03e2b49"/>
				</reportElement>
				<box topPadding="0" leftPadding="0" bottomPadding="0" rightPadding="0">
					<pen lineWidth="1.5"/>
					<topPen lineWidth="1.0" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="1.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="1.0" lineStyle="Solid" lineColor="#000000"/>
					<rightPen lineWidth="1.0" lineStyle="Solid" lineColor="#000000"/>
				</box>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font fontName="Arial Black"/>
				</textElement>
				<text><![CDATA[NOMBRE PRODUCTO]]></text>
			</staticText>
			<staticText>
				<reportElement mode="Opaque" x="345" y="0" width="65" height="30" backcolor="#E0E0E0" uuid="a80d26fc-db74-4d54-bccc-8842c11965be">
					<property name="com.jaspersoft.studio.spreadsheet.connectionID" value="250eb742-4f79-4a65-8eb2-b0995c5b380b"/>
					<property name="com.jaspersoft.studio.unit.width" value="px"/>
				</reportElement>
				<box topPadding="0" leftPadding="0" bottomPadding="0" rightPadding="0">
					<pen lineWidth="1.5"/>
					<topPen lineWidth="1.0" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="1.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="1.0" lineStyle="Solid" lineColor="#000000"/>
					<rightPen lineWidth="1.0" lineStyle="Solid" lineColor="#000000"/>
				</box>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font fontName="Arial Black"/>
				</textElement>
				<text><![CDATA[CANTIDAD]]></text>
			</staticText>
			<staticText>
				<reportElement mode="Opaque" x="475" y="0" width="65" height="30" backcolor="#E0E0E0" uuid="4ea9abb9-72ef-4dd0-9774-3212e2c7e5a1">
					<property name="com.jaspersoft.studio.spreadsheet.connectionID" value="f3b89189-588b-431b-a6b3-129e0b19a550"/>
					<property name="com.jaspersoft.studio.unit.width" value="px"/>
				</reportElement>
				<box topPadding="0" leftPadding="0" bottomPadding="0" rightPadding="0">
					<pen lineWidth="1.5"/>
					<topPen lineWidth="1.0" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="1.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="1.0" lineStyle="Solid" lineColor="#000000"/>
					<rightPen lineWidth="1.0" lineStyle="Solid" lineColor="#000000"/>
				</box>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font fontName="Arial Black"/>
				</textElement>
				<text><![CDATA[P. UNIDAD]]></text>
			</staticText>
			<staticText>
				<reportElement mode="Opaque" x="540" y="0" width="70" height="30" backcolor="#E0E0E0" uuid="dcf1f198-7848-437f-be98-228a08571e18">
					<property name="com.jaspersoft.studio.spreadsheet.connectionID" value="7ae41e1d-7535-48f6-b3ae-2d78b1d23347"/>
					<property name="com.jaspersoft.studio.unit.width" value="px"/>
				</reportElement>
				<box topPadding="0" leftPadding="0" bottomPadding="0" rightPadding="0">
					<pen lineWidth="1.5"/>
					<topPen lineWidth="1.0" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="1.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="1.0" lineStyle="Solid" lineColor="#000000"/>
					<rightPen lineWidth="1.0" lineStyle="Solid" lineColor="#000000"/>
				</box>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font fontName="Arial Black"/>
				</textElement>
				<text><![CDATA[TOTAL]]></text>
			</staticText>
			<staticText>
				<reportElement mode="Opaque" x="410" y="0" width="65" height="30" backcolor="#E0E0E0" uuid="23a421a4-40ec-42bf-a32c-2fc941fae622">
					<property name="com.jaspersoft.studio.spreadsheet.connectionID" value="76a3dcd8-9be7-46b1-b0a5-d46f0a6854a5"/>
					<property name="com.jaspersoft.studio.unit.width" value="px"/>
				</reportElement>
				<box topPadding="0" leftPadding="0" bottomPadding="0" rightPadding="0">
					<pen lineWidth="1.5"/>
					<topPen lineWidth="1.0" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="1.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="1.0" lineStyle="Solid" lineColor="#000000"/>
					<rightPen lineWidth="1.0" lineStyle="Solid" lineColor="#000000"/>
				</box>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font fontName="Arial Black"/>
				</textElement>
				<text><![CDATA[U. MEDIDA]]></text>
			</staticText>
		</band>
	</columnHeader>
	<detail>
		<band height="27" splitType="Stretch">
			<textField isStretchWithOverflow="true">
				<reportElement x="1" y="3" width="99" height="24" uuid="1a9d51b3-be45-4f3a-a6cc-48ebcad033cb">
					<property name="com.jaspersoft.studio.spreadsheet.connectionID" value="c598a6d4-435d-4301-b41b-bd80e159816d"/>
				</reportElement>
				<textElement verticalAlignment="Middle">
					<font fontName="Arial" size="10"/>
				</textElement>
				<textFieldExpression><![CDATA[$F{cod_producto}]]></textFieldExpression>
			</textField>
			<textField isStretchWithOverflow="true">
				<reportElement x="100" y="3" width="244" height="24" uuid="45aa0252-1fa1-44b6-a515-e3b5897ccb4f">
					<property name="com.jaspersoft.studio.spreadsheet.connectionID" value="02a8a46e-6c58-44cf-9573-25dd2ae4f270"/>
				</reportElement>
				<textElement verticalAlignment="Middle">
					<font fontName="Arial"/>
				</textElement>
				<textFieldExpression><![CDATA[$F{nombre_producto} == null ? "RESERVA DE HABITACION" : $F{nombre_producto}]]></textFieldExpression>
			</textField>
			<textField>
				<reportElement x="345" y="3" width="65" height="24" uuid="25719007-1350-4610-a79e-9b9c636e8517">
					<property name="com.jaspersoft.studio.spreadsheet.connectionID" value="c7da8fd7-ebca-4fd8-841e-808aedece6a6"/>
				</reportElement>
				<textElement verticalAlignment="Middle">
					<font fontName="Arial"/>
				</textElement>
				<textFieldExpression><![CDATA[$F{cantidad}]]></textFieldExpression>
			</textField>
			<textField>
				<reportElement x="410" y="3" width="65" height="24" uuid="23d519e5-0ee5-4f37-b2d5-02c33543697b">
					<property name="com.jaspersoft.studio.spreadsheet.connectionID" value="a8966b14-ecb7-448f-912e-a7ac5d6e2f4c"/>
				</reportElement>
				<textElement verticalAlignment="Middle">
					<font fontName="Arial"/>
				</textElement>
				<textFieldExpression><![CDATA[$F{cod_unidadmedida} == null ? "NIU" : $F{cod_unidadmedida}]]></textFieldExpression>
			</textField>
			<textField>
				<reportElement x="476" y="3" width="65" height="24" uuid="6b8bdca2-b81a-4419-aa23-1dcbd9f81734">
					<property name="com.jaspersoft.studio.spreadsheet.connectionID" value="a5767af4-65eb-40e4-a797-3337d57bb934"/>
				</reportElement>
				<textElement textAlignment="Right" verticalAlignment="Middle">
					<font fontName="Arial"/>
				</textElement>
				<textFieldExpression><![CDATA[$F{valor_unitario}]]></textFieldExpression>
			</textField>
			<textField>
				<reportElement x="541" y="3" width="69" height="24" uuid="1060981b-d318-4b4e-a80d-f3b7f454776d">
					<property name="com.jaspersoft.studio.spreadsheet.connectionID" value="b01c370a-9e92-4c1f-8c70-54703d6dca62"/>
				</reportElement>
				<textElement textAlignment="Right" verticalAlignment="Middle">
					<font fontName="Arial"/>
				</textElement>
				<textFieldExpression><![CDATA[$F{total_importe_item}]]></textFieldExpression>
			</textField>
		</band>
	</detail>
	<columnFooter>
		<band height="160" splitType="Stretch">
			<rectangle>
				<reportElement x="444" y="22" width="165" height="138" uuid="4a7adc88-34ab-4b7a-8a6a-e6a94ac8bbab"/>
			</rectangle>
			<staticText>
				<reportElement x="444" y="60" width="92" height="20" uuid="ded22a46-558f-48e4-b053-d01633da2948"/>
				<textElement textAlignment="Right" verticalAlignment="Middle"/>
				<text><![CDATA[Valor de Venta:]]></text>
			</staticText>
			<staticText>
				<reportElement x="444" y="40" width="92" height="20" uuid="056a9b4a-c1a1-477a-b939-b6ea6b6dd220"/>
				<textElement textAlignment="Right" verticalAlignment="Middle"/>
				<text><![CDATA[Descuentos:]]></text>
			</staticText>
			<staticText>
				<reportElement x="444" y="20" width="92" height="20" uuid="ddc785da-dd84-4284-b743-91459c6f503d"/>
				<textElement textAlignment="Right" verticalAlignment="Middle"/>
				<text><![CDATA[Sub Total Ventas:]]></text>
			</staticText>
			<staticText>
				<reportElement x="444" y="80" width="92" height="20" uuid="0c970f87-4666-4900-897e-9ba2b27b3967"/>
				<textElement textAlignment="Right" verticalAlignment="Middle"/>
				<text><![CDATA[ISC:]]></text>
			</staticText>
			<staticText>
				<reportElement x="444" y="100" width="92" height="20" uuid="00400d26-43be-4cda-af54-a6ed56aff796"/>
				<textElement textAlignment="Right" verticalAlignment="Middle"/>
				<text><![CDATA[IGV:]]></text>
			</staticText>
			<staticText>
				<reportElement x="444" y="120" width="92" height="20" uuid="9825a7dc-f342-489f-aa46-e6893503d6c6"/>
				<textElement textAlignment="Right" verticalAlignment="Middle"/>
				<text><![CDATA[Intereses por Mora:]]></text>
			</staticText>
			<textField>
				<reportElement x="554" y="22" width="53" height="18" uuid="907ca526-8742-4cf9-90f9-5eabb3b1978f"/>
				<box>
					<pen lineWidth="0.5"/>
					<topPen lineWidth="0.5" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="0.5" lineStyle="Solid" lineColor="#000000"/>
					<rightPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
				</box>
				<textElement textAlignment="Right" verticalAlignment="Middle"/>
				<textFieldExpression><![CDATA[$P{sub_total}]]></textFieldExpression>
			</textField>
			<textField>
				<reportElement x="554" y="40" width="53" height="20" uuid="57488684-d914-47df-8e0a-1c664542f0e4"/>
				<box>
					<pen lineWidth="0.5"/>
					<topPen lineWidth="0.5" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="0.5" lineStyle="Solid" lineColor="#000000"/>
					<rightPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
				</box>
				<textElement textAlignment="Right" verticalAlignment="Middle"/>
				<textFieldExpression><![CDATA[$P{descuentos}]]></textFieldExpression>
			</textField>
			<textField>
				<reportElement x="554" y="60" width="53" height="20" uuid="9e85a73e-1f20-4aab-b065-74b86d23b89f">
					<property name="com.jaspersoft.studio.unit.width" value="pixel"/>
				</reportElement>
				<box>
					<pen lineWidth="0.5"/>
					<topPen lineWidth="0.5" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="0.5" lineStyle="Solid" lineColor="#000000"/>
					<rightPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
				</box>
				<textElement textAlignment="Right" verticalAlignment="Middle"/>
				<textFieldExpression><![CDATA[$P{valor_venta}]]></textFieldExpression>
			</textField>
			<textField>
				<reportElement x="554" y="80" width="53" height="20" uuid="1fb9858a-8d06-4b31-a0c1-34d6df70310c"/>
				<box>
					<pen lineWidth="0.5"/>
					<topPen lineWidth="0.5" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="0.5" lineStyle="Solid" lineColor="#000000"/>
					<rightPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
				</box>
				<textElement textAlignment="Right" verticalAlignment="Middle"/>
				<textFieldExpression><![CDATA[$P{isc}]]></textFieldExpression>
			</textField>
			<textField>
				<reportElement x="554" y="100" width="53" height="20" uuid="4578d408-91a9-4ba1-9fe0-c0f2e3c86fc8"/>
				<box>
					<pen lineWidth="0.5"/>
					<topPen lineWidth="0.5" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="0.5" lineStyle="Solid" lineColor="#000000"/>
					<rightPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
				</box>
				<textElement textAlignment="Right" verticalAlignment="Middle"/>
				<textFieldExpression><![CDATA[$P{igv}]]></textFieldExpression>
			</textField>
			<textField>
				<reportElement x="554" y="140" width="53" height="20" uuid="cfadf5a7-5b8c-400a-8c70-e413259911a1"/>
				<box>
					<pen lineWidth="0.5"/>
					<topPen lineWidth="0.5" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="0.5" lineStyle="Solid" lineColor="#000000"/>
					<rightPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
				</box>
				<textElement textAlignment="Right" verticalAlignment="Middle"/>
				<textFieldExpression><![CDATA[$P{importe_total}]]></textFieldExpression>
			</textField>
			<staticText>
				<reportElement x="541" y="22" width="13" height="18" uuid="c0f7621e-fba3-4ac7-b92e-0eaee42efd03">
					<property name="com.jaspersoft.studio.unit.width" value="px"/>
				</reportElement>
				<box>
					<pen lineWidth="0.5"/>
					<topPen lineWidth="0.5" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="0.5" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="0.5" lineStyle="Solid" lineColor="#000000"/>
					<rightPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
				</box>
				<textElement textAlignment="Right" verticalAlignment="Middle"/>
				<text><![CDATA[S/.]]></text>
			</staticText>
			<staticText>
				<reportElement x="541" y="40" width="13" height="20" uuid="a1c3633b-0824-4b9d-b05f-45e5c328c270">
					<property name="com.jaspersoft.studio.unit.width" value="px"/>
				</reportElement>
				<box>
					<pen lineWidth="0.5"/>
					<topPen lineWidth="0.5" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="0.5" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="0.5" lineStyle="Solid" lineColor="#000000"/>
					<rightPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
				</box>
				<textElement textAlignment="Right" verticalAlignment="Middle"/>
				<text><![CDATA[S/.]]></text>
			</staticText>
			<staticText>
				<reportElement x="541" y="60" width="13" height="20" uuid="d8db3cc1-7f73-484d-8d08-a6d4b1de682b">
					<property name="com.jaspersoft.studio.unit.width" value="px"/>
				</reportElement>
				<box>
					<pen lineWidth="0.5"/>
					<topPen lineWidth="0.5" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="0.5" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="0.5" lineStyle="Solid" lineColor="#000000"/>
					<rightPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
				</box>
				<textElement textAlignment="Right" verticalAlignment="Middle"/>
				<text><![CDATA[S/.]]></text>
			</staticText>
			<staticText>
				<reportElement x="541" y="80" width="13" height="20" uuid="5e371c96-3c7a-4666-9532-47038042bdcd">
					<property name="com.jaspersoft.studio.unit.width" value="px"/>
				</reportElement>
				<box>
					<pen lineWidth="0.5"/>
					<topPen lineWidth="0.5" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="0.5" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="0.5" lineStyle="Solid" lineColor="#000000"/>
					<rightPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
				</box>
				<textElement textAlignment="Right" verticalAlignment="Middle"/>
				<text><![CDATA[S/.]]></text>
			</staticText>
			<staticText>
				<reportElement x="541" y="100" width="13" height="20" uuid="cf683425-a116-4772-99c7-4cdcd72297d1">
					<property name="com.jaspersoft.studio.unit.width" value="px"/>
				</reportElement>
				<box>
					<pen lineWidth="0.5"/>
					<topPen lineWidth="0.5" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="0.5" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="0.5" lineStyle="Solid" lineColor="#000000"/>
					<rightPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
				</box>
				<textElement textAlignment="Right" verticalAlignment="Middle"/>
				<text><![CDATA[S/.]]></text>
			</staticText>
			<staticText>
				<reportElement x="541" y="120" width="13" height="20" uuid="d6926cbd-880b-4465-b94b-f77c7fa73fb9">
					<property name="com.jaspersoft.studio.unit.width" value="px"/>
				</reportElement>
				<box>
					<pen lineWidth="0.5"/>
					<topPen lineWidth="0.5" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="0.5" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="0.5" lineStyle="Solid" lineColor="#000000"/>
					<rightPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
				</box>
				<textElement textAlignment="Right" verticalAlignment="Middle"/>
				<text><![CDATA[S/.]]></text>
			</staticText>
			<image>
				<reportElement x="0" y="50" width="120" height="110" uuid="670ab933-dfdb-4c47-bcec-801cc24b730d"/>
				<imageExpression><![CDATA[$P{imagen_qr}]]></imageExpression>
			</image>
			<staticText>
				<reportElement x="444" y="140" width="92" height="20" uuid="b03cbc5c-e0c9-4a43-92b9-099e52a0130e"/>
				<textElement textAlignment="Right" verticalAlignment="Middle"/>
				<text><![CDATA[Importe Total:]]></text>
			</staticText>
			<staticText>
				<reportElement x="541" y="140" width="13" height="20" uuid="83cffdd0-c90c-45a0-93bb-455eb9b51b26">
					<property name="com.jaspersoft.studio.unit.width" value="px"/>
				</reportElement>
				<box>
					<pen lineWidth="0.5"/>
					<topPen lineWidth="0.5" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="0.5" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="0.5" lineStyle="Solid" lineColor="#000000"/>
					<rightPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
				</box>
				<textElement textAlignment="Right" verticalAlignment="Middle"/>
				<text><![CDATA[S/.]]></text>
			</staticText>
			<textField>
				<reportElement x="554" y="120" width="53" height="20" uuid="78b866c3-c5ba-4a90-8b52-b19223054e07"/>
				<box>
					<pen lineWidth="0.5"/>
					<topPen lineWidth="0.5" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="0.5" lineStyle="Solid" lineColor="#000000"/>
					<rightPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
				</box>
				<textElement textAlignment="Right" verticalAlignment="Middle"/>
				<textFieldExpression><![CDATA[$P{interesesMora}]]></textFieldExpression>
			</textField>
			<textField>
				<reportElement x="40" y="32" width="400" height="18" uuid="9d950e7d-6d70-463c-a339-009418654385"/>
				<textElement verticalAlignment="Middle">
					<font fontName="Arial" size="13" isBold="true"/>
				</textElement>
				<textFieldExpression><![CDATA[$P{monto_letras}]]></textFieldExpression>
			</textField>
			<staticText>
				<reportElement x="0" y="32" width="40" height="18" uuid="f823dbd3-4757-4f09-8c9f-81c7b7387b98"/>
				<textElement verticalAlignment="Middle">
					<font fontName="Arial" size="13" isBold="true"/>
				</textElement>
				<text><![CDATA[SON:]]></text>
			</staticText>
		</band>
	</columnFooter>
	<summary>
		<band splitType="Stretch"/>
	</summary>
</jasperReport>
